###########################################################################################################
# @brief    Module Makefile which references all include pathes and sourcefiles for this specific module. #
###########################################################################################################

###########################################################################################################
########################################### ADDITIONAL_INCLUDES ###########################################
###########################################################################################################
ADDITIONAL_INCLUDES += -IBSW/UartIf/02_Mandatory/inc
ADDITIONAL_INCLUDES += -IBSW/UartIf/03_GenData/inc
ADDITIONAL_INCLUDES += -IBSW/UartIf/04_StaticData/inc

###########################################################################################################
########################################### ADDITIONAL_SOURCES ############################################
###########################################################################################################
ADDITIONAL_SOURCES += BSW/UartIf/03_GenData/src/UartIf.c
ADDITIONAL_SOURCES += BSW/UartIf/04_StaticData/src/UartIf_Buffer.c
ADDITIONAL_SOURCES += BSW/UartIf/03_GenData/src/UartIf_PBCfg.c

###########################################################################################################
############################################# ADDITIONAL_ASM ##############################################
###########################################################################################################
#ADDITIONAL_ASM += BSW/UartIf/... 

###########################################################################################################
########################################### ADDITIONAL_DEFINES ############################################
###########################################################################################################
#ADDITIONAL_DEFINES += ... 
